import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineXomrkGiteaMavenRepo
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.optInContracts
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.xomrk

buildscript {
	val versions = java.util.Properties()
	versions.load(rootDir.resolve("../versions.properties").inputStream())


	repositories {
		mavenCentral()
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build:v${versions.getProperty("this")}k${versions.getProperty("kotlin")}")
	}
}

repositories {
	mavenCentral()
	defineXomrkGiteaMavenRepo()
}

xomrk {
	kotlin {
		jvmToolchain(8)
		defineAllMultiplatformTargets()
		optInContracts()
	}
}